AuditConstants (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.audit, class: AuditConstants

Package org.apache.hadoop.fs.audit

# Class AuditConstants

java.lang.Object
org.apache.hadoop.fs.audit.AuditConstants

@Private @Unstable public final class AuditConstants extends Object
Constants related to auditing.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DELETE_KEYS_SIZE`
  Num of files to be deleted as part of the bulk delete request.
  `static final String`
  `PARAM_COMMAND`
  Header: Command: "cm".
  `static final String`
  `PARAM_FILESYSTEM_ID`
  Header: FileSystem ID: "fs".
  `static final String`
  `PARAM_ID`
  Header: operation ID: "id".
  `static final String`
  `PARAM_JOB_ID`
  JobID query header: "ji".
  `static final String`
  `PARAM_OP`
  Header: operation: "op".
  `static final String`
  `PARAM_PATH`
  Header: first path of operation: "p1".
  `static final String`
  `PARAM_PATH2`
  Header: second path of operation: "p2".
  `static final String`
  `PARAM_PRINCIPAL`
  Header: Principal: "pr".
  `static final String`
  `PARAM_PROCESS`
  Header: Process ID: "ps".
  `static final String`
  `PARAM_RANGE`
  Header: Range for GET request data: "rg".
  `static final String`
  `PARAM_TASK_ATTEMPT_ID`
  Task Attempt ID query header: "ta".
  `static final String`
  `PARAM_THREAD0`
  Thread 0: the thread which created a span "t0".
  `static final String`
  `PARAM_THREAD1`
  Thread 1: the thread making the S3 request: "t1".
  `static final String`
  `PARAM_TIMESTAMP`
  Timestamp of span creation: "ts".
  `static final String`
  `REFERRER_ORIGIN_HOST`
  The host from where requests originate: "audit.example.org".

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### REFERRER_ORIGIN_HOST

    public static final String REFERRER_ORIGIN_HOST
    The host from where requests originate: "audit.example.org". example.org is used as the IETF require that it never resolves. This isn't always met by some mobile/consumer DNS services, but we don't worry about that. What is important is that a scan for "example.org" in the logs will exclusively find entries from this referrer.
    See Also:
      - Constant Field Values

  - ### PARAM_COMMAND

    public static final String PARAM_COMMAND
    Header: Command: "cm". Set by tool runner.
    See Also:
      - Constant Field Values

  - ### PARAM_FILESYSTEM_ID

    public static final String PARAM_FILESYSTEM_ID
    Header: FileSystem ID: "fs".
    See Also:
      - Constant Field Values

  - ### PARAM_ID

    public static final String PARAM_ID
    Header: operation ID: "id".
    See Also:
      - Constant Field Values

  - ### PARAM_JOB_ID

    public static final String PARAM_JOB_ID
    JobID query header: "ji".
    See Also:
      - Constant Field Values

  - ### PARAM_OP

    public static final String PARAM_OP
    Header: operation: "op". These should be from StoreStatisticNames or similar, and are expected to be at the granularity of FS API operations.
    See Also:
      - Constant Field Values

  - ### PARAM_PATH

    public static final String PARAM_PATH
    Header: first path of operation: "p1".
    See Also:
      - Constant Field Values

  - ### PARAM_PATH2

    public static final String PARAM_PATH2
    Header: second path of operation: "p2".
    See Also:
      - Constant Field Values

  - ### PARAM_PRINCIPAL

    public static final String PARAM_PRINCIPAL
    Header: Principal: "pr".
    See Also:
      - Constant Field Values

  - ### PARAM_PROCESS

    public static final String PARAM_PROCESS
    Header: Process ID: "ps".
    See Also:
      - Constant Field Values

  - ### PARAM_RANGE

    public static final String PARAM_RANGE
    Header: Range for GET request data: "rg".
    See Also:
      - Constant Field Values

  - ### PARAM_TASK_ATTEMPT_ID

    public static final String PARAM_TASK_ATTEMPT_ID
    Task Attempt ID query header: "ta".
    See Also:
      - Constant Field Values

  - ### PARAM_THREAD0

    public static final String PARAM_THREAD0
    Thread 0: the thread which created a span "t0".
    See Also:
      - Constant Field Values

  - ### PARAM_THREAD1

    public static final String PARAM_THREAD1
    Thread 1: the thread making the S3 request: "t1".
    See Also:
      - Constant Field Values

  - ### PARAM_TIMESTAMP

    public static final String PARAM_TIMESTAMP
    Timestamp of span creation: "ts".
    See Also:
      - Constant Field Values

  - ### DELETE_KEYS_SIZE

    public static final String DELETE_KEYS_SIZE
    Num of files to be deleted as part of the bulk delete request.
    See Also:
      - Constant Field Values